## org.apache.xerces.impl.xs
Class XMLSchemaValidator.XSIErrorReporter

    java.lang.Object
      org.apache.xerces.impl.xs.XMLSchemaValidator.XSIErrorReporter

Enclosing class:
  XMLSchemaValidator

protected final class XMLSchemaValidator.XSIErrorReporter
extends java.lang.Object

A wrapper of the standard error reporter. We'll store all schema errors in this wrapper object, so that we can get all errors (error codes) of a specific element. This is useful for PSVI.

Constructor Summary
`protected` `XMLSchemaValidator.XSIErrorReporter()`

Method Summary
`java.lang.String[]` `mergeContext()`
`java.lang.String[]` `popContext()`
`void` `pushContext()`
`void` `reportError(java.lang.String domain, java.lang.String key, java.lang.Object[] arguments, short severity)`
`void` `reportError(org.apache.xerces.xni.XMLLocator location, java.lang.String domain, java.lang.String key, java.lang.Object[] arguments, short severity)`
`void` `reset(XMLErrorReporter errorReporter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSchemaValidator.XSIErrorReporter

    protected XMLSchemaValidator.XSIErrorReporter()

Method Detail

### reset

    public void reset(XMLErrorReporter errorReporter)

### pushContext

    public void pushContext()

### popContext

    public java.lang.String[] popContext()

### mergeContext

    public java.lang.String[] mergeContext()

### reportError

    public void reportError(java.lang.String domain,
                            java.lang.String key,
                            java.lang.Object[] arguments,
                            short severity)
                     throws org.apache.xerces.xni.XNIException

  Throws:
    `org.apache.xerces.xni.XNIException`

### reportError

    public void reportError(org.apache.xerces.xni.XMLLocator location,
                            java.lang.String domain,
                            java.lang.String key,
                            java.lang.Object[] arguments,
                            short severity)
                     throws org.apache.xerces.xni.XNIException

  Throws:
    `org.apache.xerces.xni.XNIException`

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.